(function() {

  jQuery(function() {
    var friendly_source, friendly_template, js_source, js_template;
    friendly_source = ($('#friendly-template')).html();
    js_source = ($('#js-template')).html();
    friendly_template = Handlebars.compile(friendly_source);
    js_template = Handlebars.compile(js_source);
    ($('#entry')).focus();
    return ($('#entry_form')).submit(function(event) {
      var date, friendly;
      event.preventDefault();
      date = new StdDate(($('#entry')).val());
      friendly = date.toFriendly();
      friendly = new FriendlyDate(friendly);
      ($('div#friendly')).html(friendly_template(date.toJSON()));
      return ($('div#jsified')).html(js_template(friendly.toJSON()));
    });
  });

}).call(this);
